Annotation Queue Item Progress Update
curl --request POST \
--url https://api.example.com/annotation_queues/{queue_id}/items/{item_id}/progress \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "entity/project",
"annotation_state": "in_progress"
}
'import requests
url = "https://api.example.com/annotation_queues/{queue_id}/items/{item_id}/progress"
payload = {
"project_id": "entity/project",
"annotation_state": "in_progress"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({project_id: 'entity/project', annotation_state: 'in_progress'})
};
fetch('https://api.example.com/annotation_queues/{queue_id}/items/{item_id}/progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"item": {
"id": "<string>",
"project_id": "<string>",
"queue_id": "<string>",
"call_id": "<string>",
"call_started_at": "2023-11-07T05:31:56Z",
"call_op_name": "<string>",
"call_trace_id": "<string>",
"display_fields": [
"<string>"
],
"annotation_state": "unstarted",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"call_ended_at": "2023-11-07T05:31:56Z",
"added_by": "<string>",
"annotator_user_id": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"position_in_queue": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Mise à jour de la progression d’un élément de la file d’annotation
Update the annotation state of a queue item for the current annotator.
POST
/
annotation_queues
/
{queue_id}
/
items
/
{item_id}
/
progress
Annotation Queue Item Progress Update
Corps
application/json
Request body for updating annotation progress (queue_id and item_id come from path).
Note: wb_user_id is not included in the body - it's set server-side from the authenticated session.
Réponse
Successful Response
Response from updating annotation state.
Schema for annotation queue item responses.
Show child attributes
Show child attributes
Dernière modification le 30 septembre 2026
Cette page vous a-t-elle été utile ?